<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_vijesti!=1) die('Nedozvoljen pristup!');
if ($prava_prava_vijesti_kat!=1) die('Nedozvoljen pristup!');


// list expected fields
$expected = array('q_naslov','q_link', 'q_opis', 'q_kratka','q_kratka_znakovi','q_tekstarea','q_slika','q_thumb_sirina','q_thumb_visina','q_big_sirina','q_big_visina',
'q_autor','q_linkovi','id_kategorija');
// set req_uired fields
$required = array('q_naslov','q_link','q_thumb_sirina','q_thumb_visina','q_big_sirina','q_big_visina','id_kategorija');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {
	
		
	//insert new data in database
	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_link=uredi_var($q_link);
	$q_opis=uredi_var($q_opis);
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_link_mysql=mysql_real_escape_string($q_link);
	$q_opis_mysql=mysql_real_escape_string($q_opis);
	
	$result = mysql_query("update b7_news_kategorija set  
	naslov='$q_naslov_mysql',
	link='$q_link_mysql',
	opis='$q_opis_mysql',
	kratka='$q_kratka',
	kratka_znakovi='$q_kratka_znakovi',
	tekstarea='$q_tekstarea',
	linkovi='$q_linkovi',
	autor='$q_autor',
	slika='$q_slika',
	thumb_sirina='$q_thumb_sirina',
	thumb_visina='$q_thumb_visina',
	big_sirina='$q_big_sirina',
	big_visina='$q_big_visina',
	user='$log_username',
	datum=now() 
	where id_kategorija='$id_kategorija'");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno promjenena kategorija <strong>'.$q_naslov.'</strong> u bazi<br />';
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju nove kategorije u bazi';
}
?>
<div id="main_content">
<h1>Spremanje podataka u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=vijesti&amp;akcija=display_kategorije">Povratak...</a>
</div>